groovy.transform

## Interface CompilationUnitAware

- All Known Implementing Classes:
    GrabAnnotationTransformation

      public interface CompilationUnitAware

  This interface is for AST transformations which must be aware of the compilation unit where they are applied.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `setCompilationUnit(CompilationUnit unit)`

- - ### Method Detail

    - #### setCompilationUnit

          void setCompilationUnit(CompilationUnit unit)